%define version_lib    1.0.10
#define pretag         rc2
%define release        3.2
%define tarversion %{?cvsdate:%{cvsdate}}%{!?cvsdate:%{version_lib}%{?pretag}}

%define  version_ainit 0.7

Summary: The Advanced Linux Sound Architecture (ALSA) library %{?cvsdate:(CVS: %{cvsdate})}
Name: alsa-lib
Version: %{version_lib}
Release: %{release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.alsa-project.org/pub/lib/%{name}-%{tarversion}.tar.bz2
Patch10: alsa-lib-cvscompile.patch
# ainit
Source1: ainit-%{version_ainit}.tar.gz
Patch0:  alsa-lib-1.0.10-ainit.patch
Patch1:  alsa-lib-1.0.10-channel.patch
Patch2:  alsa-lib-1.0.11-group.patch
URL: http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# do not require an up to date driver
Requires: alsa-driver
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

# atrpms chooses to use a different naming for alsa-lib than the rest
# of the world!, this is to obsolete their packages
Obsoletes: libasound2 <= %{version}
Provides: libasound2 = %{version}-%{release}

BuildRequires: gcc-c++, alsa-driver >= %{version_lib}, doxygen
%{?cvsdate:BuildRequires: autoconf automake libtool}

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA runtime libraries to simplify application
programming and provide higher level functionality as well as support for
the older OSS API, providing binary compatibility for most OSS programs.

%{?cvsdate:This package is based on the experimental CVS version of alsa}
%{?cvsdate:downloaded on %{cvsdate}. Handle with care.}

%package devel
Summary: Static libraries and header files from the ALSA library.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA development libraries for developing
against the ALSA libraries and interfaces.

%{?cvsdate:This package is based on the experimental CVS version of alsa}
%{?cvsdate:downloaded on %{cvsdate}. Handle with care.}

%prep
%setup -q -n %{name}-%{version_lib}%{?pretag:%{pretag}} %{?fc4:-a 1}
%{?cvsdate:%patch10 -p1}
# ainit
%{?fc4:%patch0 -p1 -b .ainit}
%{?fc4:%patch1 -p1 -b .chan}
%{?fc4:%patch2 -p1 -b .grp}

%build
if [ -x "./cvscompile" ] ; then
    CVSCOMPILE_NO_MAKE=1 CVSCOMPILE_NO_CONFIGURE=1 ./cvscompile
fi
%configure --enable-static=yes \
%{?fc3:    --datadir=/etc} \
%{?fc4:    --datadir=/etc} 

%{__make} %{?_smp_mflags}
%{__make} %{?_smp_mflags} doc

%if "%{fc4}" == "1"
# Compile ainit
cd ainit
./compile
cd ..
%endif

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%if "%{fc3}" == "1" || "%{fc4}" == "1" 
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/libasound.so.* %{buildroot}/%{_lib}
ln -snf ../../%{_lib}/libasound.so.2 %{buildroot}%{_libdir}/libasound.so
mv %{buildroot}/etc/aclocal %{buildroot}%{_datadir}
%endif

%if "%{?fc4}" == "1"
# install ainit binaries
install -m 755 ainit/ainit %{buildroot}%{_bindir}

# install ainit config files
install -m 644 ainit/config/ainit.conf %{buildroot}%{_sysconfdir}/alsa/ainit.conf
install -m 644 ainit/config/dmix.template %{buildroot}%{_sysconfdir}/alsa/pcm/dmix.template
install -m 644 ainit/config/dsnoop.template %{buildroot}%{_sysconfdir}/alsa/pcm/dsnoop.template

install -m 644 ainit/config/dmix.conf.lock %{buildroot}%{_sysconfdir}/alsa/pcm/dmix.conf.lock
install -m 644 ainit/config/dsnoop.conf.lock %{buildroot}%{_sysconfdir}/alsa/pcm/dsnoop.conf.lock

cp %{buildroot}%{_sysconfdir}/alsa/pcm/dmix.conf %{buildroot}%{_sysconfdir}/alsa/pcm/dmix.conf.back
cp %{buildroot}%{_sysconfdir}/alsa/pcm/dsnoop.conf %{buildroot}%{_sysconfdir}/alsa/pcm/dsnoop.conf.back

# install ainit man pages
mkdir -p %{buildroot}%{_mandir}/man8
install -m 644 ainit/doc/ainit.8 %{buildroot}%{_mandir}/man8/ainit.8

mkdir -p %{buildroot}%{_mandir}/man5
install -m 644 ainit/doc/ainit.conf.5 %{buildroot}%{_mandir}/man5/ainit.conf.5
install -m 644 ainit/doc/ainit.template.5 %{buildroot}%{_mandir}/man5/ainit.template.5
%endif

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
%if "%{fc4}" == "1"
# Upgrade - remove the current buffers
if [ $1 = 2 ] && [ -f /var/run/console/console.lock ]; then
   /usr/bin/ainit `cat /var/run/console/console.lock` stop
fi
# Create the new ones
if [ -f /var/run/console/console.lock ]; then
   /usr/bin/ainit `cat /var/run/console/console.lock` start
fi
%endif

%postun -p /sbin/ldconfig

%preun
# Only if we're removing the package
if [ $1 = 0 ] && [ -f /var/run/console/console.lock ]; then
   /usr/bin/ainit `cat /var/run/console/console.lock` stop
fi

%if "%{fc3}" == "1" || "%{fc4}" == "1"
%triggerpostun -- alsa-lib < 1.0.6-2
ln -snf ../../etc/alsa %{_datadir}/alsa
%endif

%files
%defattr(-, root, root)
%doc COPYING ChangeLog TODO doc/asoundrc.txt
%{_bindir}/alsalisp
%{_bindir}/aserver
%if "%{fc3}" == "1" || "%{fc4}" == "1"
/%{_lib}/libasound.so.*
%{_sysconfdir}/alsa
%config %{_sysconfdir}/alsa/alsa.conf
%else
%{_libdir}/libasound.so.*
%{_datadir}/alsa
%endif
%dir %{_libdir}/alsa-lib/smixer
%{_libdir}/alsa-lib/smixer/*.so

%if "%{fc4}" == "1"
%{_bindir}/ainit
%{_mandir}/man?/*
%config %{_sysconfdir}/alsa/pcm/dmix.template
%config %{_sysconfdir}/alsa/pcm/dsnoop.template
%ghost  %{_sysconfdir}/alsa/pcm/dmix.conf.lock
%ghost  %{_sysconfdir}/alsa/pcm/dsnoop.conf.lock
%config %{_sysconfdir}/alsa/pcm/dmix.conf
%config %{_sysconfdir}/alsa/pcm/dsnoop.conf
%config %{_sysconfdir}/alsa/ainit.conf
%endif

%files devel
%defattr(-, root, root)
%doc doc/doxygen
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%dir %{_libdir}/alsa-lib/smixer
%{_libdir}/alsa-lib/smixer/*.a
%{_libdir}/alsa-lib/smixer/*.la
%{_libdir}/pkgconfig/alsa.pc
%{_datadir}/aclocal/alsa.m4

%changelog
* Wed Jan 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.10-3.2
- drop the versioned require of alsa-driver so that the newer alsa-lib
  works with older versions of alsa-driver
* Mon Jan 23 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.10-3.1
- sync with alsa-lib spec file from fc4 version 1.0.10-3.FC4, includes
  ainit configuration  utility, override fc4 package (.la files needed
  by muse build)
* Thu Nov 17 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.10-1
- update to official 1.0.10
* Sat Oct 15 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.10-0.1.rc2
- update to 1.0.10rc2
* Mon Aug 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.10-0.1.rc1
- update to 1.0.10rc1
- added /usr/lib/alsa-lib/smixer/* to file list
* Wed Jun 22 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9rf-1
- fedora core 4 released rc versions named 1.0.9rc4, sigh, so we need
  to name the package 1.0.9rf to avoid eternal epoch inflation
* Mon May 30 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added fc4 conditionals
* Fri May 27 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-1
- update to 1.0.9 final
* Mon May 24 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-0.5.rc4
- update to 1.0.9-rc4
* Tue May  3 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-0.4.rc3
- update to 1.0.9-rc3
* Fri Apr  8 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-0.3.rc2
- back to rc2
* Tue Apr  5 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-0.2.cvs
- updated to 1.0.9rc2 cvs of 20050405.132742
* Mon Apr  4 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-0.1.rc2
- update to 1.0.9rc2
* Tue Mar 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- obsolete "creative" naming of alsa-lib by the atrpms repository
* Sun Mar 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-0.1.rc1
- merged in several changes from the original fc3 spec file:
  added pkgconfig requires to the devel package, moved configuration
  files to /etc, moved library to /lib
* Wed Mar 16 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-0.rc1.1
- updated to 1.0.9 rc1
- the jack plugin has moved to the alsa-plugins package, erase the build
  and file list for it
* Sun Jan 16 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-1
- updated to 1.0.8 final release
* Sun Jan  9 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-0.1.rc2.cvs
- cvs: 01/09/2005
* Wed Dec 15 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- spec file cleaunps and tweaks
* Sun Dec 12 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.7-1.cvs
- cvs: 12/12/2004
* Sat Dec 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.7-1.cvs
- cvs: 12/10/2004
* Mon Aug 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.6-1.cvs
- cvs: 08/23/2004
* Thu Jun 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.5-1.cvs
- cvs: 06/17/2004
* Sat Apr 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.4-1.cvs
- cvs: 04/17/2004
* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3-1.cvs
- cvs: 02/29/2004
* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.2-1.cvs
- cvs: 02/24/2004
* Thu Jan  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1.cvs
- cvs: 01/08/2004
* Tue Jan  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-2.rc2.cvs
- cvs: 01/06/2004
* Sun Dec  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.rc2.cvs
- cvs: 12/07/2003
* Mon Dec  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.rc1.cvs
- cvs: 12/01/2003
* Wed Nov 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1.pre1
- updated to 1.0.0pre1
- no longer install alsa 0.5.x compatibility libraries
* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-2.cvs
- cvs: 11/06/2003
* Tue Oct 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-1.cvs
- cvs: 10/28/2003
* Tue Sep 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.7-1.cvs
- cvs: 09/30/2003
* Mon Sep  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-2.cvs
- cvs: 08/25/2003
* Sat Aug  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1.cvs
- cvs: 08/09/2003
* Wed Aug  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1.cvs
- cvs: 08/06/2003, version 0.9.6
- added target to release tag
- added alsalisp to file list
* Tue Jun  3 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.4-1.cvs
- cvs: 06/03/2003
* Sun Jun  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.4-1.cvs
- cvs: 06/01/2003
* Wed Apr  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-5.cvs
- cvs: 03/09/2003
* Thu Mar 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-4.cvs
- cvs: 03/27/2003
* Mon Mar 24 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-3.cvs
- cvs: 03/24/2003
* Fri Mar 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-2.cvs
- cvs: 03/21/2003
* Tue Mar 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1.cvs
- cvs: 0.9.1, 03/10/2003
* Wed Mar  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-45.2
- add compilation and install for pcm_jack plugin
* Tue Feb 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-45
- cvs: 02/18/2003
- fix aserver binary name in 7.2/7.3
* Mon Feb 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44.2
- cvs: 02/17/2003
* Thu Feb  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44.1
- cvs: 02/07/2003
* Mon Jan 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44
- cvs: 01/21/2003
* Fri Jan 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44
- cvs: 01/17/2003
- added package descriptions from the freshrpms source rpms
- split out the development libraries and headers
* Mon Jan 13 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43.2
- added pkgconfig file
* Mon Dec 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43.2
- cvs: 12/30/2002
* Wed Dec 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43
- cvs: 12/11/2002
* Sun Dec  8 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-42
- cvs: 12/08/2002
* Thu Nov 18 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-41
- cvs: 11/18/2002
* Thu Oct 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-40
- cvs: 10/28/2002
* Tue Oct 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-39
- cvs: 10/15/2002
* Fri Aug 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-38
- cvs: 08/30/2002
- added static libraries package
* Tue Aug 20 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-37
- cvs: 08/20/2002
* Sun Jul 28 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-36
- cvs: 08/04/2002
* Fri Jul  5 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-33
- cvs: 07/05/2002
* Fri May 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-31.1
- cvs: 05/31/2002
- added cvs warning on summary and description
* Wed May 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-30
- cvs: 05/15/2002
* Fri Jan 25 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-26
- cvs: 01/25/2002
* Wed Jan  3 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-25
- cvs: 01/03/2002
* Wed Dec 12 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- changed name of asoundrc.doc to asoundrc.txt
- changed doc generation (use make doc)
* Wed Dec  5 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-23
- cvs: 12/05/2001 (post beta10)
* Mon Nov 26 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-22
- cvs: 11/26/2001 (post beta9)
* Sat Nov 24 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-21
- cvs: 11/24/2001 (post beta9)
* Fri Nov 23 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-20
- cvs: 11/23/2001 (post beta9)
- removed alsa-driver-headers dependency (see alsa-driver spec file)
* Tue Nov 21 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-19
- cvs: 11/21/2001 (post beta9)
* Tue Oct  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-18
- cvs: 10/02/2001
* Mon Sep 17 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-17
- cvs: 9/17/2001
- added /usr/include/alsa to list of files
- added dependency to alsa-driver-headers
* Fri Aug 31 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-16
- cvs: 8/31/2001
* Thu Aug 30 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-15
- cvs: 8/30/2001
* Wed Aug 22 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-14
- cvs: 8/22/2001
* Mon Aug 13 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-13
- cvs: 8/13/2001
* Wed Aug  8 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-12
- cvs: 8/08/2001
* Fri Jul 20 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-10
- cvs: 7/20/2001
* Tue Jul 19 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-9
- cvs: 7/19/2001
* Tue Jul 17 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-8
- cvs: 7/17/2001
* Tue Jul 16 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added alsa-dummy package, provides libasound.so.1 for backwards 
  compatibility with rpm packages that need it. 
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-7
- cvs: 7/05/2001
- added BuildRequires
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-6
- cvs: 7/02/2001
* Sat Jun 30 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-5
- cvs: 6/30/2001
* Wed Jun 27 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-4
- added code to generate doxygen docs
* Mon Jun 25 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-3
- 0.9 beta4 for 2.4.5-2
- cvs for 2.4.5-2, added aserver and share/alsa
* Mon Jun 11 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.9beta4 for 2.4.5-1
* Thu Apr  5 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.9beta3 for 2.4.2-7
* Thu Jan 25 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.5.10b for redhat7
* Thu Dec  7 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.5.10, added buildroot and prefix support
* Wed Aug  2 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added check for proper alsa-driver version
* Tue Jul 11 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- went back to 0.5.7 'cause of midi
* Wed Jun 14 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- recompiled for 2.2.16-1
* Mon Jun  5 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- support for 0.5.8
* Wed May 31 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- removed build root
- explicitly named files
- added post ldconfig
* Mon May 28 1998 Helge Jensen <slog@slog.dk>
- Made SPEC file

